-- phpMyAdmin SQL Dump
-- version 3.4.10.1
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 01-06-2012 a las 09:59:51
-- Versión del servidor: 5.5.23
-- Versión de PHP: 5.2.17

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `armando_evaluaciones2`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `categorias`
--

CREATE TABLE IF NOT EXISTS `categorias` (
  `codCat` int(11) NOT NULL AUTO_INCREMENT,
  `nombCat` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `principal` varchar(2) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'no',
  `idioma` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`codCat`,`idioma`),
  KEY `NombCat` (`nombCat`),
  KEY `idioma` (`idioma`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=8 ;

--
-- Volcado de datos para la tabla `categorias`
--

INSERT INTO `categorias` (`codCat`, `nombCat`, `principal`, `idioma`) VALUES
(1, 'False - True', 'si', 'en'),
(1, 'Falso - Verdadero', 'si', 'es'),
(2, 'Chooser', 'si', 'en'),
(2, 'Selecci&oacute;n', 'si', 'es'),
(3, 'Complement', 'si', 'en'),
(3, 'Complemento', 'si', 'es'),
(4, 'False - True and Chooser', 'no', 'en'),
(4, 'Falso - Verdadero y Selecci&oacute;n', 'no', 'es'),
(5, 'False - True and Complement', 'no', 'en'),
(5, 'Falso - Verdadero y Complemento', 'no', 'es'),
(6, 'Chooser and Complement', 'no', 'en'),
(6, 'Selecci&oacute;n y Complemento', 'no', 'es'),
(7, 'Mixture', 'no', 'en'),
(7, 'Mezcla', 'no', 'es');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `cursos`
--

CREATE TABLE IF NOT EXISTS `cursos` (
  `codCurso` smallint(11) NOT NULL AUTO_INCREMENT,
  `titulo` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `descripcion` text COLLATE utf8_unicode_ci NOT NULL,
  `estado` smallint(1) NOT NULL,
  `lang` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`codCurso`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalleexa`
--

CREATE TABLE IF NOT EXISTS `detalleexa` (
  `codExa` int(11) NOT NULL,
  `codCat` int(11) NOT NULL,
  `totPreguntas` smallint(6) NOT NULL,
  `terminado` varchar(2) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'no',
  PRIMARY KEY (`codExa`,`codCat`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_publicacion`
--

CREATE TABLE IF NOT EXISTS `detalle_publicacion` (
  `codDetallePub` int(11) NOT NULL AUTO_INCREMENT,
  `codPublicacion` int(11) NOT NULL,
  `codCat` int(11) NOT NULL,
  `ponderacion` int(11) NOT NULL,
  PRIMARY KEY (`codDetallePub`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `examenes`
--

CREATE TABLE IF NOT EXISTS `examenes` (
  `codExa` int(11) NOT NULL AUTO_INCREMENT,
  `nombExa` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `indicaciones` text COLLATE utf8_unicode_ci NOT NULL,
  `totPreguntas` smallint(6) NOT NULL,
  `tiempo` smallint(6) NOT NULL,
  `lang` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `creador` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `terminado` varchar(2) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'no',
  `estado` smallint(1) NOT NULL DEFAULT '0',
  `codCat` int(11) NOT NULL,
  `codMateria` int(11) NOT NULL,
  `fechaCreacion` datetime NOT NULL,
  PRIMARY KEY (`codExa`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `idiomas`
--

CREATE TABLE IF NOT EXISTS `idiomas` (
  `codIdioma` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `idioma` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`codIdioma`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Volcado de datos para la tabla `idiomas`
--

INSERT INTO `idiomas` (`codIdioma`, `idioma`) VALUES
('es', 'Espa&ntilde;ol'),
('en', 'English');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `materias`
--

CREATE TABLE IF NOT EXISTS `materias` (
  `codMateria` int(11) NOT NULL AUTO_INCREMENT,
  `codCurso` smallint(6) NOT NULL,
  `materia` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `estado` smallint(2) NOT NULL,
  `lang` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `titular` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`codMateria`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `preguntas`
--

CREATE TABLE IF NOT EXISTS `preguntas` (
  `codPregunta` int(11) NOT NULL AUTO_INCREMENT,
  `codExa` int(11) NOT NULL,
  `codCat` int(11) NOT NULL,
  `pregunta` text COLLATE utf8_unicode_ci NOT NULL,
  `idRecurso` int(11) NOT NULL,
  PRIMARY KEY (`codPregunta`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `preguntas_publicacion`
--

CREATE TABLE IF NOT EXISTS `preguntas_publicacion` (
  `codDetallePub` int(11) NOT NULL,
  `codPregunta` int(11) NOT NULL,
  PRIMARY KEY (`codDetallePub`,`codPregunta`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `profesores_mat`
--

CREATE TABLE IF NOT EXISTS `profesores_mat` (
  `codUsuario` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `codMateria` int(11) NOT NULL,
  PRIMARY KEY (`codUsuario`,`codMateria`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `publicaciones`
--

CREATE TABLE IF NOT EXISTS `publicaciones` (
  `codPublicacion` int(11) NOT NULL AUTO_INCREMENT,
  `codExa` int(11) NOT NULL,
  `fecha` datetime NOT NULL,
  `codProfesor` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `publicada` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `definida` varchar(2) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Indica si el profesor ya seleccionó las partes ue conformarán el examen',
  `completada` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`codPublicacion`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `recursos`
--

CREATE TABLE IF NOT EXISTS `recursos` (
  `idRecurso` int(11) NOT NULL AUTO_INCREMENT,
  `codUsuario` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `codMateria` int(11) NOT NULL,
  `ruta_rec` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `nombre_rec` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `tipo_rec` char(1) COLLATE utf8_unicode_ci NOT NULL COMMENT '"i" para imégenes, "v" para videos',
  `fecha_upload` datetime NOT NULL,
  PRIMARY KEY (`idRecurso`),
  UNIQUE KEY `codMateria` (`codMateria`,`nombre_rec`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `respuestas`
--

CREATE TABLE IF NOT EXISTS `respuestas` (
  `codRespuesta` int(11) NOT NULL AUTO_INCREMENT,
  `codPregunta` int(11) NOT NULL,
  `respuesta` text COLLATE utf8_unicode_ci NOT NULL,
  `correcta` varchar(2) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'no',
  PRIMARY KEY (`codRespuesta`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipos_usr`
--

CREATE TABLE IF NOT EXISTS `tipos_usr` (
  `codTipo` smallint(6) NOT NULL AUTO_INCREMENT,
  `idfrm` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `tipo` varchar(13) COLLATE utf8_unicode_ci NOT NULL,
  `lang` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`codTipo`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `tipos_usr`
--

INSERT INTO `tipos_usr` (`codTipo`, `idfrm`, `tipo`, `lang`) VALUES
(1, 'adm', 'Administrador', 'es'),
(2, 'adm', 'Administrator', 'en'),
(3, 'pro', 'Profesor', 'es'),
(4, 'pro', 'Professor', 'en'),
(5, 'est', 'Estudiante', 'es'),
(6, 'est', 'Student', 'en');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuariosys`
--

CREATE TABLE IF NOT EXISTS `usuariosys` (
  `codUsuario` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `nombUsuario` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `apellUsuario` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `genero` varchar(9) COLLATE utf8_unicode_ci NOT NULL,
  `mail` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `estado` smallint(1) NOT NULL,
  `passwdc` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `tipo` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `lang` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`codUsuario`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Volcado de datos para la tabla `usuariosys`
--

INSERT INTO `usuariosys` (`codUsuario`, `nombUsuario`, `apellUsuario`, `genero`, `mail`, `estado`, `passwdc`, `tipo`, `lang`) VALUES
('admin', 'Armando', 'NH', 'M', 'armando.nh@gmail.com', 1, '123456', 'adm', 'es');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
