<?php
/**
* 
*/
class Admarchivos extends CI_Model{
	
	function __construct()
    {
        // Call the Model constructor
        parent::__construct();
    }
    
    //Agregar recurso
    function addrecurso($cu,$cm,$rr,$ar,$tr){
		$data = array(
			'codUsuario' => $cu,
			'codMateria' => $cm,
			'ruta_rec' => $rr,
			'nombre_rec' => $ar,
			'tipo_rec' => $tr,
			'fecha_upload' => date('Y-m-d H:i:s')
		);
		
		if($this->db->insert('recursos', $data)) {				
			return true;
		}
		else return false;        
    }/*addrecurso*/
    
    
    //Eliminar el registro correspondiente al archivo a borrar
	function eliminar_recurso($idmateria,$n_archivo,$tipo){
		if($tipo=="v")$n_archivo.=".flv";
		else if($tipo=="i")$n_archivo.=".jpg";
		$array = array('nombre_rec' => $n_archivo, 'codMateria' => $idmateria);		 
		if($this->db->where($array)->delete('recursos'))return 1;
		else return 0;		
	}/*eliminar_rec*/
	
	
    //Obtiene la fecha de publicación de un recurso
	function obtener_fecha_pub($idmateria,$n_archivo,$tipo){
		if($tipo=="v")$n_archivo.=".flv";
		else if($tipo=="i")$n_archivo.=".jpg";
		$array = array('recursos.nombre_rec' => $n_archivo, 'recursos.codMateria' => $idmateria);
		$query = $this->db->select('fecha_upload')->where($array)->get('recursos');		
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				return $row->fecha_upload;
			} /*foreach*/			
		}/*if*/	
	}/*obtener_publicador*/
	
	
	//Obtiene el id del usuario que ha publicado el recurso
	function obtener_codUsuario($idmateria,$n_archivo,$tipo){
		if($tipo=="v")$n_archivo.=".flv";
		else if($tipo=="i")$n_archivo.=".jpg";
		$array = array('nombre_rec' => $n_archivo, 'codMateria' => $idmateria);
		$query = $this->db->select('codUsuario')->where($array)->get('recursos');		
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				return $row->codUsuario;				
			} /*foreach*/			
		}/*if*/	
	}/*obtener_codUsuario*/
	
	
    //Obtiene el nombre completo del usuario que ha publicado un recurso
	function obtener_publicador($idmateria,$n_archivo,$tipo){
		if($tipo=="v")$n_archivo.=".flv";
		else if($tipo=="i")$n_archivo.=".jpg";
		$array = array('recursos.nombre_rec' => $n_archivo, 'recursos.codMateria' => $idmateria);
		$query = $this->db->select('usuariosys.nombUsuario,usuariosys.apellUsuario');
		$query = $this->db->join('recursos', 'usuariosys.codUsuario = recursos.codUsuario','inner');		
		$query = $this->db->where($array)->get('usuariosys');		
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				$nombre_pub=$row->nombUsuario." ".$row->apellUsuario;
				return $nombre_pub;
			} /*foreach*/			
		}/*if*/	
	}/*obtener_publicador*/
	
	
	//Obtiene la ruta de un archivo en base al tipo y la materia
	function obtener_ruta($idmateria,$n_archivo,$tipo){
		if($tipo=="v")$n_archivo.=".flv";
		else if($tipo=="i")$n_archivo.=".jpg";
		$array = array('nombre_rec' => $n_archivo, 'codMateria' => $idmateria);
		$query = $this->db->select('ruta_rec')->where($array)->get('recursos');		
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				return $row->ruta_rec;				
			} /*foreach*/			
		}/*if*/	
	}/*obtener_codUsuario*/
	
	
	//Obtiene la ruta de un archivo en base a su código
	function obtener_ruta_rec($idrec){
		$array = array('idRecurso' => $idrec);
		$query = $this->db->select('ruta_rec')->where($array)->get('recursos');		
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				return $row->ruta_rec;				
			} /*foreach*/			
		}/*if*/	
	}/*obtener_codUsuario*/
	
	
	//Devuelve el tipo de un recurso
	function obtener_tipo_recurso($idrec){
		$array = array('idRecurso' => $idrec);
		$query = $this->db->select('tipo_rec')->where($array)->get('recursos');		
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				return $row->tipo_rec;				
			} /*foreach*/			
		}/*if*/	
	}/*obtener_codUsuario*/
}
