<?php
/**
* 
*/
class Admexamenes extends CI_Model{
	
	
	function __construct()
    {
        // Call the Model constructor
        parent::__construct();
    }
    
    //Agrega las categorías a una publicación
    function adddefinicion($cpub,$datos){
		$definida=false;		
		foreach($datos as $nombre_campo => $valor){
			if($nombre_campo=="incluir"){
				foreach($valor as $categoria){
					$datap = array(
						'codPublicacion' => $cpub,
						'codCat' => $categoria
					);
					if($this->db->insert('detalle_publicacion', $datap)){
						$definida=true;
					}else{
						$definida=false;
						return false;
					}/*if*/									
				}/*foreach*/
				if($definida){
					$datap = array(
						'definida' => 'si'
					);
					if(!($this->db->where('codPublicacion',$cpub)->update('publicaciones', $datap)))return false;
				}/*if*/	
			}/*if*/					
		}/*foreach*/				
		return true;		
    }/*adddefinicion*/
    
        
    //Agregar un examen 
    function addexamen($t_e,$i_e,$tp_e,$tmpo_e,$l_e,$cat_e,$mat_e,$cfv_e,$csel_e,$ccom_e,$cread_e){
		date_default_timezone_set('America/El_Salvador');
		$data = array(
			'nombExa' => $t_e,
			'indicaciones' => $i_e,
			'totPreguntas' => $tp_e,
			'tiempo' => $tmpo_e,
			'lang' => $l_e,
			'creador' => $cread_e,
			'terminado' => 'no',
			'estado' => 0,
			'codCat' => $cat_e,
			'codMateria' => $mat_e,
			'fechaCreacion' => date('Y-m-d H:i:s') 
		);		
		if($this->db->insert('examenes', $data)) {//En caso de éxito, agregar profesores
			$nuevoid=$this->db->insert_id();
			if((($cat_e==1)||($cat_e==2))||($cat_e==3)){
				$datae = array(
					'codExa' => $nuevoid,
					'codCat' => $cat_e,
					'totPreguntas' => $tp_e,
					'terminado' => 	'no'
				);				
				$this->db->insert('detalleexa', $datae);
			}			
			if (!(is_null($cfv_e))){ //Si es falso - verdadero (categoría: 1)
				$datae = array(
					'codExa' => $nuevoid,
					'codCat' => 1,
					'totPreguntas' => $cfv_e,
					'terminado' => 	'no'
				);				
				$this->db->insert('detalleexa', $datae);
			}/*if*/
			if (!(is_null($csel_e))){ //Si es selección (categoría: 2)
				$datae = array(
					'codExa' => $nuevoid,
					'codCat' => 2,
					'totPreguntas' => $csel_e,
					'terminado' => 	'no'
				);				
				$this->db->insert('detalleexa', $datae);
			}/*if*/
			if (!(is_null($ccom_e))){ //Si es complemento (categoría: 3)
				$datae = array(
					'codExa' => $nuevoid,
					'codCat' => 3,
					'totPreguntas' => $ccom_e,
					'terminado' => 	'no'
				);				
				$this->db->insert('detalleexa', $datae);
			}/*if*/
			return true;			
		}					
		else return false;        
    }/*addexamen*/
    
    
    //Agregar ponderaciones de una publicación
    function addponderaciones_publicacion($datos){
		//Obteniendo los valores desdel el arreglo de controles		
		foreach($datos as $nombre_campo => $valor){
			if($nombre_campo=="txtpondera"){
				foreach($valor as $ponderacion){
					$ponderacion_detallePub[0][]=$ponderacion;
				}/*foreach*/
			}/*if*/
			if($nombre_campo=="detalle_pub"){
				foreach($valor as $id_detalle_pub){
					$ponderacion_detallePub[1][]=$id_detalle_pub;
				}/*foreach*/
			}/*if*/				
		}/*foreach*/
		
		//Actualizar información agregando las ponderaciones a una publicación
		
		for($i=0;$i<count($ponderacion_detallePub[0]);$i++){
			$array = array('codDetallePub' => $ponderacion_detallePub[1][$i]);
			$this->db->where($array);
			$datap = array(
				'ponderacion' => $ponderacion_detallePub[0][$i]
			);
			$this->db->update('detalle_publicacion', $datap);
		}/*for*/				
		return true;		
    }/*addponderaciones_publicacion*/
    
      	
   	//Agregar preguntas
    function addpreguntas($ex,$cat,$datos){		
		foreach($datos as $nombre_campo => $valor){
			if($nombre_campo=="preguntas"){
				foreach($valor as $pregunta){
					$datap = array(
						'codExa' => $ex,
						'codCat' => $cat,
						'pregunta' => $pregunta
					);
					if($this->db->insert('preguntas', $datap)){
						//capturando el id de la pregunta registrada
						$idpreg[]=$this->db->insert_id();
					}else return false;
				}/*foreach*/
			}/*if*/
						
			if($nombre_campo=="respuestas"){
				$i=-1;
				if($cat==2)
				{//Si es de selección múltiple, entonces se debe trabajar el arreglo de respuestas					
					foreach($valor as $respuesta){
						$i++;
						$primera_resp=true; //para asumir que la primera respuesta es correcta								
						foreach($respuesta as $res){
							if($primera_resp){
								$es_correcta="si";
								$primera_resp=false;
							}else $es_correcta="no"; 	
							$datap = array(
								'codPregunta' => $idpreg[$i],
								'respuesta' => $res,
								'correcta' => $es_correcta
							);						
							if(!($this->db->insert('respuestas', $datap))) return false;						
						}/*foreach*/												
					}/*foreach*/														
				}/*if*/
				else {
					foreach($valor as $respuesta){
						$i++;					
						$datap = array(
							'codPregunta' => $idpreg[$i],
							'respuesta' => $respuesta,
							'correcta' => 'si'
						);
						if(!($this->db->insert('respuestas', $datap))) return false;
					}/*foreach*/
				}/*if*/					
			}/*if*/
			
			if($nombre_campo=="recurso"){
				$i=-1;
				foreach($valor as $rec){
					$i++;
					$this->db->where('codPregunta', $idpreg[$i]);
					$datap = array(
						'idRecurso' => $rec
					);
					if(!($this->db->update('preguntas', $datap)))return false;
				}/*foreach*/	
			}/*if*/			
		}/*foreach*/
		
			
		//Verifica si se han completado para una categoría el total de preguntas
		if($this->obtener_preguntas_reg($ex,$cat)==$this->obtener_total_preguntas_cat($ex,$cat)){
			$array = array('codExa' => $ex, 'codCat' => $cat);
			$this->db->where($array);
			$datap = array(
				'terminado' => 'si'
			);
			$this->db->update('detalleexa', $datap);			
		}/*if*/
		
		//Verifica si se han completado todo el examen
		if($this->obtener_total_preguntas_reg($ex)==$this->obtener_total_preguntas($ex)){
			$array = array('codExa' => $ex);
			$this->db->where($array);
			$datap = array(
				'terminado' => 'si'
			);
			$this->db->update('examenes', $datap);			
		}/*if*/
				
		return true;		
    }/*addpreguntas*/
    
    
    //Agregar preguntas a una categoría que conforma una publicación
    function addpreguntas_publicacion($id_detalle_pub,$datos){		
		foreach($datos as $nombre_campo => $valor){
			if($nombre_campo=="seleccionadas"){
				foreach($valor as $pregunta){
					$datap = array(
						'codDetallePub' => $id_detalle_pub,
						'codPregunta' => $pregunta
					);
					if($this->db->insert('preguntas_publicacion', $datap)){
						//no hacer nada
					}else return false;
				}/*foreach*/
			}/*if*/						
		}/*foreach*/				
		return true;		
    }/*addpreguntas_publicacion*/
    
    
    //Agregar una publicacion en base a un examen publicado
    function addpublicacion($ce,$prof){
		date_default_timezone_set('America/El_Salvador');
		$data = array(
			'codExa' => $ce,
			'codProfesor' => $prof,
			'publicada' => 'no',
			'definida' => 'no',
			'completada' => 'no',
			'fecha' => date('Y-m-d H:i:s') 
		);		
		if($this->db->insert('publicaciones', $data)) {//En caso de éxito, devolver profesores			
			return true;
		}					
		else return false;        
    }/*addexamen*/
    
    
    function contar_todos(){
		return $this->db->count_all('cursos');
	}/*contar_todos*/
    
    
    function contar_todas_publicaciones_profesor($cp){
		$query = $this->db->select('codPublicacion')->where('codProfesor', $cp)->get('publicaciones');
		return $query->num_rows();
	}/*contar_todos_filtro*/
	
	
    function contar_todos_filtro($titulo_f){		
		$query = $this->db->like('titulo', $titulo_f);		
		$query = $this->db->order_by('titulo');
		$query = $this->db->get('cursos');
		return $query->num_rows();
	}/*contar_todos_filtro*/
	
	
	function obtener_categorias($id){
		$query = $this->db->select('codCat,nombCat');
		$query = $this->db->order_by('nombCat');
		$query = $this->db->where('idioma', $id)->get('categorias');
		if($query->num_rows>0){
			foreach($query->result() as $row){
				$datos[] = array($row->codCat,$row->nombCat);		
			} /*foreach*/
			return $datos;
		}/*if*/
	}/*obtener_categorias*/
	
	
	//Devuele los datos de un curso
	function obtener_curso($id){		
		$query = $this->db->where('codCurso' , $id)->get('cursos');
		if($query->num_rows>0){
			return $query->result();
		}/*if*/
	}/*obtener_curso*/
    
    
    /*
     * Devuelve los cursos que poseen materias registradas filtradas por idioma
     * y que además dentro de sus materias se encuentre asignado el profesor
     * que realiza la consulta
     * */
    
	function obtener_cursos($idioma_c,$usuario_c){
		// Primero obtengo el código de los cursos
		// de la tambla materias
		$query = $this->db->distinct();
		$query = $this->db->select('codCurso')->get('materias');		
        
        if($query->num_rows>0){			
			foreach($query->result() as $row){				
				$mat[] = $row->codCurso;		
			} /*foreach*/					
		} /*if*/		
		
		        
        $array = array('cursos.estado' => 1, 'cursos.lang' => $idioma_c,'profesores_mat.codUsuario' => $usuario_c);
		
		$query = $this->db->select('cursos.codCurso,cursos.titulo');
		$query = $this->db->join('profesores_mat', 'profesores_mat.codMateria = materias.codMateria','inner');
		$query = $this->db->join('cursos', 'materias.codCurso = cursos.codCurso','inner');
		$query = $this->db->order_by('cursos.titulo');
		$query = $this->db->where($array)->get('materias');
		
		
        if($query->num_rows>0){
			$n=-1;
			foreach($query->result() as $row){
				$datos[] = array($row->codCurso,$row->titulo);								
			} /*foreach*/
			return $datos;			
		} /*if*/		
	}/*obtener_cursos*/
	
	
	//Devuelve los examene creados por un profesor
	function obtener_examenes_pro($idm,$p){
		$array = array('codMateria' => $idm, 'creador ' => $p);
		$query = $this->db->select('codExa,nombExa');
		$query = $this->db->where($array)->get('examenes');
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				$datos[] = array($row->codExa,$row->nombExa);								
			} /*foreach*/
			return $datos;
		}/*if*/
	}/*obtener_examenes_pro*/
	
	
	//Devuelve información general del examen
	function obtener_detalle($id,$l){
		$query = $this->db->select('materias.materia,examenes.nombExa');
		$query = $this->db->join('materias', 'materias.codMateria=examenes.codMateria','inner');
		$query = $this->db->where('examenes.codExa' , $id)->get('examenes');
		if($query->num_rows>0){
			//Obtener encabezado
			foreach($query->result() as $row){				
				$datos = array($row->materia,$row->nombExa);								
			} /*foreach*/
			
			//Obtener detalle
			$datos[2]=$this->obtener_detalle_ponderaciones($id,$l);
			return $datos;
		}/*if*/
	}/*obtener_detalle*/
	
	
	//Devuelve cada una de las parte del examen con sus ponderaciones
	function obtener_detalle_ponderaciones($id,$l){
		$array = array('detalleexa.codExa' => $id, 'categorias.idioma' => $l);
		$query = $this->db->select('categorias.codCat,detalleexa.totPreguntas,detalleexa.terminado,categorias.nombCat');
		$query = $this->db->join('categorias', 'detalleexa.codCat=categorias.codCat','inner');
		$query = $this->db->where($array)->get('detalleexa');
		if($query->num_rows>0){
			//Si las pregustas que lo conforman son mas de un tipo de categoría
			foreach($query->result() as $row){
				$preg_registradas=$this->obtener_preguntas_reg($id,$row->codCat);
				$detalle[] = array($row->nombCat,$row->totPreguntas,$preg_registradas,$row->terminado,$id,$row->codCat);
			}/*foreach*/
			return $detalle;
		}else{
			//Si las pregustas que lo conformas son de un tipo de categoría
			$array = array('examenes.codExa' => $id, 'categorias.idioma' => $l);
			$query = $this->db->select('categorias.codCat,examenes.totPreguntas,examenes.terminado,categorias.nombCat');
			$query = $this->db->join('categorias', 'examenes.codCat=categorias.codCat','inner');
			$query = $this->db->where($array)->get('examenes');
			foreach($query->result() as $row){
				$preg_registradas=$this->obtener_preguntas_reg($id,$row->codCat);
				$detalle[] = array($row->nombCat,$row->totPreguntas,$preg_registradas,$row->terminado,$id,$row->codCat);
			}/*foreach*/
			return $detalle;
		}/*if*/
	}/*obtener_detalle_ponderaciones*/
	
	
	//Devuelve cada una de las partes de una publicación y sus ponderaciones
	function obtener_detalle_ponderaciones_publicacion($id,$l){
		//$array = array('detalleexa.codExa' => $id, 'categorias.idioma' => $l);
		//$query = $this->db->select('categorias.codCat,detalleexa.totPreguntas,detalleexa.terminado,categorias.nombCat');
		//$query = $this->db->join('categorias', 'detalleexa.codCat=categorias.codCat','inner');
		//$query = $this->db->where($array)->get('detalleexa');
		//if($query->num_rows>0){
			//Si las pregustas que lo conforman son mas de un tipo de categoría
			//foreach($query->result() as $row){
				//$preg_registradas=$this->obtener_preguntas_reg($id,$row->codCat);
				//$detalle[] = array($row->nombCat,$row->totPreguntas,$preg_registradas,$row->terminado,$id,$row->codCat);
			//}/*foreach*/
			//return $detalle;
		//}else{
			//Si las pregustas que lo conformas son de un tipo de categoría
			//$array = array('examenes.codExa' => $id, 'categorias.idioma' => $l);
			//$query = $this->db->select('categorias.codCat,examenes.totPreguntas,examenes.terminado,categorias.nombCat');
			//$query = $this->db->join('categorias', 'examenes.codCat=categorias.codCat','inner');
			//$query = $this->db->where($array)->get('examenes');
			//foreach($query->result() as $row){
				//$preg_registradas=$this->obtener_preguntas_reg($id,$row->codCat);
				//$detalle[] = array($row->nombCat,$row->totPreguntas,$preg_registradas,$row->terminado,$id,$row->codCat);
			//}/*foreach*/
			//return $detalle;
		//}/*if*/
		
		
		$array = array('detalle_publicacion.codPublicacion' => $id, 'categorias.idioma' => $l);
		$query = $this->db->select('categorias.nombCat,detalleexa.totPreguntas, detalle_publicacion.codCat, detalle_publicacion.codDetallePub, detalle_publicacion.codPublicacion, detalle_publicacion.codCat, detalle_publicacion.ponderacion,publicaciones.codExa');
		$query = $this->db->join('categorias', 'detalle_publicacion.codCat = categorias.codCat','inner');
		$query = $this->db->join('publicaciones', 'publicaciones.codPublicacion=detalle_publicacion.codPublicacion','inner');
		$query = $this->db->join('detalleexa', 'publicaciones.codExa=detalleexa.codExa and categorias.codCat=detalleexa.codCat','inner');
		$query = $this->db->where($array)->get('detalle_publicacion');
		if($query->num_rows>0){
			//Si las pregustas que lo conforman son mas de un tipo de categoría
			foreach($query->result() as $row){
				//$preg_registradas=$this->obtener_preguntas_reg($id,$row->codCat);
				$detalle[] = array($row->nombCat,$row->totPreguntas,$row->ponderacion,$row->codDetallePub,$row->codExa,$row->codCat);
			}/*foreach*/
			return $detalle;
		}
		
	}/*obtener_detalle_ponderaciones_publicacion*/
	
	
	//Devuelve información general del examen para publicar
	function obtener_detalle_publicacion($id,$l,$idpub){
		$query = $this->db->select('materias.materia,examenes.nombExa,examenes.terminado,examenes.creador,examenes.fechaCreacion,materias.codMateria');
		$query = $this->db->join('materias', 'materias.codMateria=examenes.codMateria','inner');
		$query = $this->db->where('examenes.codExa' , $id)->get('examenes');
		if($query->num_rows>0){
			//Obtener encabezado
			foreach($query->result() as $row){				
				$datos = array($row->materia,$row->nombExa,$row->terminado,$row->creador,$row->fechaCreacion,$row->codMateria);
			} /*foreach*/
			
			//Obtener detalle ponderaciones
			$datos[6]=$this->obtener_detalle_ponderaciones_publicacion($idpub,$l);
			return $datos;
		}/*if*/
	}/*obtener_detalle_publicacion*/
	
		
	//Devuelve información general del examen para publicar
	function obtener_detalle_publicar($id,$l){
		$query = $this->db->select('materias.materia,examenes.nombExa,examenes.terminado,examenes.creador,examenes.fechaCreacion,materias.codMateria');
		$query = $this->db->join('materias', 'materias.codMateria=examenes.codMateria','inner');
		$query = $this->db->where('examenes.codExa' , $id)->get('examenes');
		if($query->num_rows>0){
			//Obtener encabezado
			foreach($query->result() as $row){				
				$datos = array($row->materia,$row->nombExa,$row->terminado,$row->creador,$row->fechaCreacion,$row->codMateria);
			} /*foreach*/
			
			//Obtener detalle ponderaciones
			$datos[6]=$this->obtener_detalle_ponderaciones($id,$l);
			return $datos;
		}/*if*/
	}/*obtener_detalle_publicar*/
	
	
	//Devuelve el idioma de un exámen
	function obtener_idioma($ide){
		$array = array('codExa' => $ide);
		$query = $this->db->select('lang');
		$query = $this->db->where($array)->get('examenes');
		$result = $query->row();
		return $result->lang;	
	}/*obtener_idioma*/
	
	
	function obtener_lista_publicaciones_paginada($id,$limit,$offset=0){		
		$query = $this->db->select('publicaciones.codPublicacion,publicaciones.codExa,examenes.nombExa,publicaciones.fecha,publicaciones.definida,publicaciones.publicada,publicaciones.completada');
		$query = $this->db->join('examenes', 'publicaciones.codExa=examenes.codExa','inner');		
		$query = $this->db->order_by('publicaciones.fecha');
		$query = $this->db->where('publicaciones.codProfesor',$id)->get('publicaciones',$limit,$offset);
		if($query->num_rows>0){
			return $query->result();
		}/*if*/
	}/*obtener_lista_paginada*/
	
	//Devuelve preguntas registradas de un examen por una categoría indicada
	function obtener_preguntas($ide,$idc){
		$array = array('codExa' => $ide, 'codCat' => $idc);
		$query = $this->db->select('preguntas.codPregunta,preguntas.pregunta,preguntas.idRecurso,recursos.nombre_rec,recursos.tipo_rec');
		$query = $this->db->join('recursos', 'recursos.idRecurso=preguntas.idRecurso','left');
		$query = $this->db->where($array)->get('preguntas');
		
		if($query->num_rows>0){
			$i=-1;			
			foreach($query->result() as $row){
				$i++;				
				$datos[$i] = array($row->codPregunta,$row->pregunta,$row->idRecurso,$row->nombre_rec,$row->tipo_rec);								
			} /*foreach*/
			return $datos;
		}/*if*/				
	}/*obtener_preguntas*/
	
	
	//Devuelve el total de preguntas registradas de un examen por cada categoría que lo conforma
	function obtener_preguntas_reg($ide,$idc){
		$array = array('codExa' => $ide, 'codCat' => $idc);
		
		$query = $this->db->where($array)->get('preguntas');
		
		return $query->num_rows;
	}/*obtener_preguntas_reg*/
	
	
	//Devuele si la categoria seleccionada es principal o no
	function obtener_tipo_cat($idc,$l){
		$array = array('codCat' => $idc, 'idioma' => $l);
		$query = $this->db->select('codCat,principal');
		$query = $this->db->where($array)->get('categorias');
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				$datos = array($row->codCat,$row->principal);								
			} /*foreach*/
			return $datos;
		}/*if*/
	}/*obtener_tipo_cat*/
	
	
	//Devuelve el total de preguntas que debe tener un examen
	function obtener_total_preguntas($ide){
		$array = array('codExa' => $ide);
		$query = $this->db->select('totPreguntas');
		$query = $this->db->where($array)->get('examenes');
		$result = $query->row();
		return $result->totPreguntas;	
	}/*obtener_total_preguntas*/
	
	
	//Devuelve el total de preguntas que se esperan por cada categoría que conforma un examen
	function obtener_total_preguntas_cat($ide,$idc){
		$array = array('codExa' => $ide, 'codCat' => $idc);
		$query = $this->db->select('totPreguntas');
		$query = $this->db->where($array)->get('detalleexa');
		$result = $query->row();
		return $result->totPreguntas;	
	}/*obtener_total_preguntas_cat*/
	
	
	//Devuelve el total de preguntas asignadas al detalle de una publicación
	function obtener_total_preguntas_detalle_publicacion($idp){
		$query = $this->db->get_where('preguntas_publicacion',array('codDetallePub'=>$idp));
		return $query->num_rows();
	}/*obtener_total_preguntas_detalle_publicacion*/
	
	
	//Devuelve el total general de preguntas registradas de un examen
	function obtener_total_preguntas_reg($ide){
		$array = array('codExa' => $ide);
		
		$query = $this->db->where($array)->get('preguntas');
		
		return $query->num_rows;	
	}/*obtener_total_preguntas_reg*/
	
	
	//Devuelve las materias que corresponden a un profesor
	function materias_profesor($idc,$idusuario){
		$array = array('materias.codCurso' => $idc, 'profesores_mat.codUsuario' => $idusuario);
		$query = $this->db->select('materias.codMateria,materias.materia');
		$query = $this->db->join('profesores_mat', 'profesores_mat.codMateria=materias.codMateria','inner');
		$query = $this->db->order_by('materias.materia');
		$query = $this->db->where($array)->get('materias');
		
		if($query->num_rows>0){
			foreach($query->result() as $row){
				$datos[] = array($row->codMateria,$row->materia);		
			} /*foreach*/
			return $datos;
		}/*if*/
	}/*materias_profesor*/
	
	
	
    
    
    
    
    
    
    
    
    
    
    
    
    
	    
    function obtener_lista_paginada($limit,$offset=0){		
		$query = $this->db->select('cursos.codCurso,cursos.titulo,cursos.estado,idiomas.idioma');
		$query = $this->db->join('idiomas', 'idiomas.codIdioma=cursos.lang','inner');		
		$query = $this->db->order_by('cursos.titulo');
		$query = $this->db->get('cursos',$limit,$offset);
		if($query->num_rows>0){
			return $query->result();
		}/*if*/
	}/*obtener_lista_paginada*/
	
	
	function obtener_lista_paginada_filt($titulo_f,$limit,$offset=0){		
		$query = $this->db->select('cursos.codCurso,cursos.titulo,cursos.estado,idiomas.idioma');
		$query = $this->db->join('idiomas', 'idiomas.codIdioma=cursos.lang','inner');
		$query = $this->db->like('cursos.titulo', $titulo_f);		
		$query = $this->db->order_by('cursos.titulo');
		$query = $this->db->get('cursos',$limit,$offset);
		
		if($query->num_rows>0){
			return $query->result();
		}/*if*/	
	}/*obtener_lista_paginada_filt*/
	
	
	
	
	function obtener_titulo_crs($id){
		$query = $this->db->select('titulo');
		$query = $this->db->where('codCurso' , $id)->get('cursos');
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				return $row->titulo;
			} /*foreach*/			
		}/*if*/	
	}/*obtener_titulo_us*/
	  
   
   	//Actualizar datos de curso
    function updtcurso($id,$t,$d,$e,$l){
		$data = array(
			'titulo' => $t,
			'descripcion' => $d,			
			'estado' => $e,
			'lang' => $l
		);
				
		$this->db->where('codCurso', $id);	
		if($this->db->update('cursos', $data)) {				
			return true;
		}
		else return false;        
    }/*updtcurso*/
}
