<?php
/**
* 
*/
class Admusuarios extends CI_Model{
	
	private $limit=1;
	
	function __construct()
    {
        // Call the Model constructor
        parent::__construct();
    }
    
    //Agregar usuarios
    function addusuario($id,$nom,$ape,$gen,$email,$est,$pswd,$typ,$l){
		$data = array(
			'codUsuario' => $id,
			'nombUsuario' => $nom,
			'apellUsuario' => $ape,			
			'genero' => $gen,
			'mail' => $email,
			'estado' => $est,
			'passwdc' => $pswd,
			'tipo' => $typ,
			'lang' => $l
		);
		
		if($this->db->insert('usuariosys', $data)) {				
			return true;
		}
		else return false;        
    }/*addusuario*/
    
    
    function buscar_usuario($nombre,$apellido,$limit,$offset=0){		
		$query = $this->db->select('codUsuario,nombUsuario,apellUsuario,mail,estado,tipo');
		if(!(isset($ape))) $query = $this->db->like('nombUsuario', $nombre);
		else if(!(isset($nomb))) $query = $this->db->like('apellUsuario', $apellido);
		else if ((isset($nombre)) && (isset($apellido))){
			$array = array('nombUsuario' => $nombre, 'apellUsuario' => $apellido);
			$query = $this->db->like($array); 
		}
		$query = $this->db->order_by('apellUsuario');
		$query = $this->db->get('usuariosys',$limit,$offset);
		if($query->num_rows>0){
			return $query->result();
		}		
	}/*buscar_usuario*/
	
	
    function contar_todos(){
		return $this->db->count_all('usuariosys');
	}/*contar_todos*/
    
    
    function contar_todos_filtro($nombre,$apellido){		
		if ((isset($nombre)) && (isset($apellido))){
			$array = array('nombUsuario' => $nombre, 'apellUsuario' => $apellido);
			$query = $this->db->like($array); 
		}else if (isset($nombre)) {
			$query = $this->db->like('nombUsuario', $nombre);
		}else if (isset($apellido)) {
			$query = $this->db->like('apellUsuario', $apellido);
		}/*if*/
		$query = $this->db->order_by('apellUsuario');
		$query = $this->db->get('usuariosys');
		return $query->num_rows();
	}/*contar_todos_filtro*/
    
        
    //Verifica si existe el usuario
	function existeusuario($id){
		$query = $this->db->where('codUsuario' , $id)->get('usuariosys');
		if($query->num_rows>0) return true;
		else return false;			
	}/*existeusuario*/
	
	
	//Lista todos los usuarios registrados
	public function lstusuarios(){
		$query = $this->db->select('codUsuario,nombUsuario,apellUsuario,mail,estado,tipo');
		$query = $this->db->order_by('apellUsuario'); 
		$query = $this->db->get('usuariosys'); 
        if($query->num_rows>0){
			$n=-1;
			foreach($query->result() as $row){
				$n++;
				$datos[$n] = array($row->codUsuario,$row->nombUsuario,$row->apellUsuario,$row->mail,$row->estado,$row->tipo);								
			} /*foreach*/
			return $datos;			
		} /*if*/
    }/*lstusuarios*/

	
    function obtener_lista_paginada($limit,$offset=0){		
		$query = $this->db->select('codUsuario,nombUsuario,apellUsuario,mail,estado,tipo');
		$query = $this->db->order_by('apellUsuario');
		$query = $this->db->get('usuariosys',$limit,$offset);
		if($query->num_rows>0){
			return $query->result();
		}/*if*/
	}/*obtener_lista_paginada*/
	
	
	function obtener_lista_paginada_filt($nombre,$apellido,$limit,$offset=0){		
		$query = $this->db->select('codUsuario,nombUsuario,apellUsuario,mail,estado,tipo');
		if ((isset($nombre)) && (isset($apellido))){
			$array = array('nombUsuario' => $nombre, 'apellUsuario' => $apellido);
			$query = $this->db->like($array); 
		}else if (isset($nombre)) {
			$query = $this->db->like('nombUsuario', $nombre);
		}else if (isset($apellido)) {
			$query = $this->db->like('apellUsuario', $apellido);
		}
		$query = $this->db->order_by('apellUsuario');
		$query = $this->db->get('usuariosys',$limit,$offset);
		if($query->num_rows>0){
			return $query->result();
		}/*if*/	
	}/*obtener_lista_paginada_filt*/
    
    
    function obtener_nombre_completo($id){		
		$query = $this->db->select('nombUsuario,apellUsuario')->where('codUsuario' , $id)->get('usuariosys');
		$nombre_full="";
		if($query->num_rows>0){
			foreach($query->result() as $row){
				 $nombre_full = $row->nombUsuario." ".$row->apellUsuario;								
			} /*foreach*/
			return $nombre_full;
		}/*if*/
	}/*obtener_usuario*/


    function obtener_profesores_activos(){		
		$array = array('estado' => 1, 'tipo' => 'pro');
		$query = $this->db->select('codUsuario,nombUsuario,apellUsuario');
		$query = $this->db->where($array)->get('usuariosys');		
        if($query->num_rows>0){
			$n=-1;
			foreach($query->result() as $row){
				$n++;
				$datos[$n] = array($row->codUsuario,$row->nombUsuario,$row->apellUsuario);		
			} /*foreach*/
			return $datos;			
		} /*if*/	
	}/*obtener_lista_paginada_filt*/
	
	
    function obtener_tipo_usr($id,$lang){
		$array = array('idfrm' => $id, 'lang' => $lang);
		$query = $this->db->select('tipo');
		$query = $this->db->where($array)->get('tipos_usr');
		if($query->num_rows>0){
			foreach($query->result() as $row){				
				return $row->tipo;
			} /*foreach*/			
		}/*if*/	
	}/*obtener_tipo_usr*/
    
    
    function obtener_usuario($id){		
		$query = $this->db->where('codUsuario' , $id)->get('usuariosys');
		if($query->num_rows>0){
			return $query->result();
		}/*if*/
	}/*obtener_usuario*/
	
	 
    //Actulizar datos de usuario
    function updtusuario($id,$nom,$ape,$gen,$email,$est,$pswd,$typ,$l,$nc){
		if($nc){
			$data = array(
				'nombUsuario' => $nom,
				'apellUsuario' => $ape,			
				'genero' => $gen,
				'mail' => $email,
				'estado' => $est,
				'passwdc' => $pswd,
				'tipo' => $typ,
				'lang' => $l
			);
		}else{	//sino reinicia clave
			$data = array(
				'nombUsuario' => $nom,
				'apellUsuario' => $ape,			
				'genero' => $gen,
				'mail' => $email,
				'estado' => $est,
				'tipo' => $typ,
				'lang' => $l
			);
		}		
		$this->db->where('codUsuario', $id);	
		if($this->db->update('usuariosys', $data)) {				
			return true;
		}
		else return false;        
    }/*updtusuario*/
}
