$(document).ready(function () {		
	var numposreg = /^[0-9]+$/;
	var numposdecreg = /^[0-9]+(\.[0-9]+)?$/;	
	$("#registrar").click(function (){
		var ex_compuesto=false; //Para verificar si es un examen compuesto por cualquier tipo básico		
		var suma_pregs=0;		//Suma de preguntas, cuando exista
		$(".box-success, .box-error").css("display","none");
		if( $.trim($("#titulo_e").val()) == "" ){			
			$("#titulo_e").next().css("display","inline");
			return false;
		}else if( $.trim($("#indicaciones").val()) == "" ){
			$("#indicaciones").next().css("display","inline");
			return false;
		}else if ( ($.trim($("#totp").val()) == "") || (!(numposreg.test($("#totp").val()))) ){ 
			$("#totp").next().css("display","inline");
			return false;
		}else if ( ($.trim($("#tiempoest").val()) == "") || (!(numposreg.test($("#tiempoest").val()))) ){ 	
			$("#tiempoest").next().css("display","inline");
			return false;
		}else if ( ( $("#fv").length > 0 ) && (!(numposreg.test($("#fv").val()))) ){
			$("#fv").next().css("display","inline");
			return false;
		}else if ( ( $("#pfv").length > 0) && (!(numposdecreg.test($("#pfv").val()))) ){			
			$("#pfv").next().css("display","inline");
			return false;
		}else if ( ( $("#sel").length > 0 ) && (!(numposreg.test($("#sel").val()))) ){
			$("#sel").next().css("display","inline");
			return false;
		}else if ( ( $("#psel").length > 0) && (!(numposdecreg.test($("#psel").val()))) ){			
			$("#psel").next().css("display","inline");
			return false;
		}else if ( ( $("#com").length > 0 ) && (!(numposreg.test($("#com").val()))) ){
			$("#com").next().css("display","inline");
			return false;
		}else if ( ( $("#pcom").length > 0) && (!(numposdecreg.test($("#pcom").val()))) ){
			$("#pcom").next().css("display","inline");
			return false;
		}else if( $("#materia_r").val() == "" ){
			$("#materia_r").next().css("display","inline");
			return false;
		}else{//Si todo salió bien, entonces registro datos		
			//Verificar si el examen se compone de varios tipos y obtener sumatoria
			if ( $("#fv").length > 0 ){			
				ex_compuesto=true;
				suma_pregs=suma_pregs+parseInt($("#fv").val());				
			}/*if*/
			if ( $("#sel").length > 0 ){			
				ex_compuesto=true;
				suma_pregs=suma_pregs+parseInt($("#sel").val());
			}/*if*/
			if ( $("#com").length > 0 ){			
				ex_compuesto=true;
				suma_pregs=suma_pregs+parseInt($("#com").val());
			}/*if*/			
			if(ex_compuesto){			
				//Verificar que coincidan los totales de las preguntar
				if(suma_pregs!=parseInt($("#totp").val())){
					$("#sumatoriapregs").css("display","inline");					
					return false;
				}/*if*/				
			}/*if*/
			$(".cargando").css("display","inline"); 
			$.ajax({
				type: "POST",
				url: "../index.php/examenes/regexamenes",
				data: ($(this).parent()).parent().serialize(),				
				success:function(msj){
					$(".cargando").css("display","none");
					if ( msj == 1 ){//Ya existe
						$("#registrar").attr('disabled','-1');
						$("#alertBoxes #msg1").show(2000);						
					}else{
						$("#alertBoxes #msg2").show(2000);
					}
				},
				error:function(){
					$(".cargando").css("display","none");
					alert("Error de conexión");
				}
			});
			$(".cargando").css("display","none");
			return false;	
		}/*if*/
	});
	
	
	$("#titulo_e").keyup(function(){
		if( $.trim($("#titulo_e").val()) != "" ){
			$(".error").fadeOut();			
			return false;
		}/*if*/
	});
	$("#indicaciones").keyup(function(){
		if( $.trim($("#indicaciones").val()) != "" ){
			$(".error").fadeOut();			
			return false;
		}/*if*/
	});
	$("#totp").keyup(function(){
		if( $.trim($("#totp").val()) != "" ){
			$(".error").fadeOut();			
			return false;
		}/*if*/
	});
	$("#tiempoest").keyup(function(){
		if( $.trim($("#tiempoest").val()) != "" ){
			$(".error").fadeOut();			
			return false;
		}/*if*/
	});
		
});
