$(document).ready(function () {		
	/*
	 * Paginaciones y búsquedas
	 * */	
	//Para realizar paginación
	$("#paginas a").click(function(){	
		$("#main_ev #contenedor #contenido article").load($(this).attr("href"));
		return false;
    }); 
    
    //Para realizar paginación con filtro
	$("#paginasf a").click(function(){
		$("#main_ev #contenedor #contenido article #listfiltrada").load($(this).attr("href"));
		return false;
    }); 
    
    //Para realizar filtrado
	$("#btnbuscar_f").click(function(event){
		event.preventDefault();
		if(( $.trim($("#f_nombre").val()) == "" ) && ( $.trim($("#f_apellido").val()) == "" )){
			$("#enoenc #alertBoxes #msg2").css("display","inline");				
		}
		else{
			$.ajax({
					type: "POST",
					url: "../index.php/usuarios/encusuarios",
					data: {parametro1:$("#f_nombre").val(),parametro2:$("#f_apellido").val()},
					beforeSend: function(){
                        $('#listfiltrada').html('<div class="loader"><img src="../imagenes/loading.gif" /></div>');
                    },
					success:function(data){					
						$("#listfiltrada").html(data);
						$("#enoenc #alertBoxes #msg2").css("display","none");										
					},
					error:function(){
						alert("Error de conexión");
					}
			});
			$('#f_nombre').attr('disabled','-1');
			$('#f_apellido').attr('disabled','-1');
		}
		return false;
    }); 
    
    //Para realizar filtrado
	$("#btnnbusq_f").click(function(event){
		event.preventDefault();
		$.ajax({
				type: "POST",
				url: "../index.php/usuarios/nencusuarios",
				success:function(data){					
							
				},
				error:function(){
					alert("Error de conexión");
				}
		});
		$('#f_nombre').removeAttr('disabled');
		$('#f_apellido').removeAttr('disabled');
		$('#f_nombre').val('');
		$('#f_apellido').val('');
		$('#listfiltrada').empty();
		return false;
    });
    
    $("#contenido article table tbody tr td #listageneral a").live('click', function(event){	
		event.preventDefault();
		var url = $(this).attr("href");	
		$("#contenido article").load(url);
		return false;
	}); 
	
	$("#contenido article table tbody tr td #listafiltrada a").live('click', function(event){	
		event.preventDefault();
		var url = $(this).attr("href");	
		$("#contenido article #listfiltrada").load(url);
		return false;
	}); 
	
	$("#regitro #idioma").change(function () {
		$("#regitro #idioma option:selected").each(function () {
			$.ajax({
					type: "POST",
					url: "../index.php/principal/obtener_tipos_usr",
					data: {parametro:$(this).val()},
					beforeSend: function(){
                        $('#listfiltrada').html('<div class="loader"><img src="../imagenes/loading.gif" /></div>');
                    },
					success:function(data){					
						$("#regitro #tipo").html(data);																
					},
					error:function(){
						alert("Error de conexión");
					}
			});
        });
   });
   
   $(".volverlstg a").live('click', function(event){		
		event.preventDefault();
		$.ajax({
			type: "POST",
			url: "../index.php/usuarios/encusuarios",
			success:function(data){
				var url = $(".volverlstg a").attr("href");	
				$("#contenido article").load(url);													
			},
			error:function(){
				alert("Error de conexión");
			}
		});
		return false;
	});
	
	$(".volverlstf a").live('click', function(event){	
		event.preventDefault();
		$.ajax({
			type: "POST",
			url: "../index.php/usuarios/encusuarios",
			data: {parametro1:$("#f_nombre").val(),parametro2:$("#f_apellido").val()},			
			success:function(data){
				var url = $(".volverlstf a").attr("href");	
				$("#contenido article #listfiltrada").load(url);													
			},
			error:function(){
				alert("Error de conexión");
			}
		});
		return false;
	});
	
});
