<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Exalin extends CI_Controller
{
	
	function __construct()
	{
		parent::__construct();
		$this->load->model('login');
		$this->load->helper('url');
		$this->load->helper('form');
	}
	
	function index($newidioma=null){		
		if (!isset($_SESSION["usuario"])){//si no se ha logeado debe cargar login
			//$this->load->model('login');
			$this->load->view('login');
		}
		if (!(is_null($newidioma))){//si el usuario no ha seleccionado cambiar de idioma
			$_SESSION["idioma"]=$newidioma;		   
		}
		if($_SESSION["idioma"]=="en"){//cargar inglés
			$this->config->set_item('language', 'english');
			$this->lang->load('english','english');
		}
		elseif ($_SESSION["idioma"]=="es"){//cargar español
			$this->config->set_item('language', 'spanish');
			$this->lang->load('spanish','spanish');        
		}
		
		switch ($this->login->GiveMeTypeUser($_SESSION["usuario"])) {
			case 1: //Administrador
				$datos = array(
				      'menu' =>array
							   ('<a href="cursos/admincursos">'.$this->lang->line('courses').'</a>',
							    '<a href="materias/adminmaterias">'.$this->lang->line('subjects').'</a>',
							    '<a href="usuarios/adminusuarios">'.$this->lang->line('users').'</a>'							    
							   ),
				      'usr' => $this->login->GiveMeFullNameUser($_SESSION["usuario"])				      
				);
				$this->load->view('main',$datos);
				break;
			case 2: //Alumno
				$datos = array(
				      'menu' =>array
							   ('<a class="menu" name="mycases" href="principal/miscasos">'.$this->lang->line('mycases_m').'</a>',
							    '<a class="menu" name="addc" href="principal/agregar">'.$this->lang->line('add_m').'</a>',
							    '<a class="menu" name="modifyc" href=\"#\">'.$this->lang->line('modify_m').'</a>',
							    '<a class="menu" name="pcases" href=\"#\">'.$this->lang->line('pcases_m').'</a>',
							    '<a href="principal/cerrarsesion">'.$this->lang->line('exit_m').'</a>'
							   ),
				      'usr' => $this->login->GiveMeFullNameUser($_SESSION["usuario"]),
				      'inicio' => $this->lang->line('welcome'),
				      'websiterel' => $this->lang->line('webrel')
				);
				$this->load->view('main',$datos);
				break;
			case 3: //Profesor
				$datos = array(
				      'menu' =>array
							   ('<a href="examenes/adminexamenes">'.$this->lang->line('tests').'</a>'
							    //'<a class="menu" name="calc" href=\"#\">'.$this->lang->line('rate_m').'</a>'							    
							   ),
				      'usr' => $this->login->GiveMeFullNameUser($_SESSION["usuario"]),
				      'inicio' => $this->lang->line('welcome'),
				      'websiterel' => $this->lang->line('webrel')
				);
				$this->load->view('main',$datos);
				break;
		}
	}			 			
}
