<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Cualquiera extends CI_Controller
{
	
	function __construct()
	{
		parent::__construct();	
		$this->_nombreControlador = __CLASS__;
		$this->_nombreControlador = strtolower($this->_nombreControlador);
		
		//cargar el helper url
		$this->load->helper('url');
		
		//cargar el directorio principal
		//$this->config->load('cclinicos');		
	}
	
	function index(){
		//ruta absoluta para subir las imágenes
		$datos['rutaAbsolutaSubir'] = "/{$this->config->item('dirPrincipal')}{$this->_nombreControlador}/upload";
		
		//cargar la vista
        $this->load->view('template', $datos);
	}
	
	public function upload()
	{
		//crear la ruta absoluta
        //$targetPath = "{$_SERVER['DOCUMENT_ROOT']}/{$this->config->item('cclinicos')}/uploads/";
        $targetPath = $_SERVER['DOCUMENT_ROOT']."/cclinicos/uploads/";
        if (!empty($_FILES)) {
            $nombreArchivo = $_FILES['Filedata']['name'];
			$tempFile = $_FILES['Filedata']['tmp_name'];
			$targetFile =  $targetPath.$nombreArchivo;
			if(move_uploaded_file($tempFile,$targetFile))
			{
				# Nombre de la foto
				$imageData	= $targetFile;
				$image_name	= $imageData['file_name'];
				$image_ext	= $imageData['file_ext'];
				
				# Achicamos la foto
				if( ! $this->resizePhoto($image_name)){
					$errors = "La imagen no pudo redimensionarse correctamente";
				} else {
					# Agregamos a la base de datos
					$data = array(
						'title'			=> 'Foto sin titulo',
						'image'			=>	$image_name,
						'active'			=> 0
					);

					# ID recien creado, verificamos
					$id = $this->photos_model->create($data);

					if ( ! $id) {
						$errors = "La imagen no pudo ingresarse a la DB";
					}
				}
			}
		}
		echo 1;
	}
	
	
	private function resizePhoto($name)
	{
		# Load library
		$this->load->library('image_lib');

		// Achicamos a 1024x768
		$config['image_library']		= 'gd2';
		$config['source_image']		= $this->config->item('upload_path') . $name;
		$config['new_image']		= $this->config->item('upload_path') . '1024x768/' . $name;
		$config['maintain_ratio']		= TRUE;
		$config['width']			= 1024;
		$config['height']			= 768;

		$this->image_lib->initialize($config);
		if ( ! $this->image_lib->resize()){
			$error = TRUE;
		}
		
		/*

		// Le ponemos watermark, tenemos que utilizar otra configuracion, puesto que vamos a trabajar
		// con el thumbnail y vamos a ponerle watermark
		$config2['image_library']		= 'gd2';
		$config2['source_image']		= $this->config->item('upload_path') . '1024x768/' . $name;
		$config2['wm_type']			= 'overlay';
		$config2['wm_overlay_path']		= $this->config->item('watermark');
		$config2['wm_vrt_alignment']		= 'middle';
		$config2['wm_hor_alignment']	= 'center';

		# Watermark
		$this->image_lib->initialize($config2);
		if ( ! $this->image_lib->watermark()){
			$error = TRUE;
		}
		
		*/

		// Achicamos a 800x600
		$config['source_image']		= $this->config->item('upload_path') . '1024x768/' . $name;
		$config['new_image']		= $this->config->item('upload_path') . '800x600/' . $name;
		$config['width']			= 800;
		$config['height']			= 600;

		$this->image_lib->initialize($config);
		if ( ! $this->image_lib->resize()){
			$error = TRUE;
		}

		// Achicamos a 400x300
		$config['source_image']		= $this->config->item('upload_path') . '1024x768/' . $name;
		$config['new_image']		= $this->config->item('upload_path') . '400x300/' . $name;
		$config['width']			= 400;
		$config['height']			= 300;

		$this->image_lib->initialize($config);
		if ( ! $this->image_lib->resize()){
			$error = TRUE;
		}

		# Error ?
		if (isset($error) and $error === TRUE) {
			return FALSE;
		} else {
			return TRUE;
		}
	}
}
