<?php include("rutas_config.php")?>
<script src="<?php echo $ruta_js ?>admcursos/optcursos.js" type="text/javascript" charset="utf-8"></script>
<script src="<?php echo $ruta_js ?>admcursos/editar.js" type="text/javascript" charset="utf-8"></script>
<link rel="stylesheet" href="<?php echo $ruta_estilos ?>formularios.css" type="text/css" media="screen" />
<h2><?PHP echo $this->lang->line('updtcourse'); ?></h2>
<p>
	<section class="aviso"><?PHP echo $this->lang->line('reqfield'); ?></section>
	<form id="regitro">
		<div id="alertBoxes">
			<div class="box-success" id="msg1"><?PHP echo $this->lang->line('newcoursesucces'); ?></div>			
			<div class="box-error" id="msg3"><?PHP echo $this->lang->line('e_infonoupdate'); ?></div>
		</div>
			<input type="hidden" id="idcurso" name="idcurso" value="<?PHP echo $curso[0]->codCurso; ?>" readonly="true" />			
		<label for="titulo"><span class="campoobligatorio">*</span><?PHP echo $this->lang->line('title'); ?>:</label>
			<input type="text" id="titulo_c" name="titulo_c" value="<?PHP echo $curso[0]->titulo; ?>" />
			<div class="error"><?PHP echo $this->lang->line('e_titlecourse'); ?></div><br /><br />
		<label for="descrip"><span class="campoobligatorio">*</span><?PHP echo $this->lang->line('description'); ?>:</label>
			<textarea id="descrip_c" name="descrip_c"><?PHP echo $curso[0]->descripcion; ?></textarea>			
			<div class="error"><?PHP echo $this->lang->line('e_desccourse'); ?></div><br /><br />		
		<label for="estado"><?PHP echo $this->lang->line('status'); ?>:</label>
			<select id="estado" name="estado">
				<?PHP 
					if($curso[0]->estado==0){
					?>
						<option value="1"><?PHP echo $this->lang->line('enabled'); ?></option>
						<option value="0" selected="selected"><?PHP echo $this->lang->line('disabled'); ?></option>	
					<?PHP
					}
					else if($curso[0]->estado==1){
					?>
						<option value="1" selected="selected"><?PHP echo $this->lang->line('enabled'); ?></option>
						<option value="0"><?PHP echo $this->lang->line('disabled'); ?></option>
					<?PHP
					}			
				?>															
			</select><br /><br />
		<label for="idioma"><?PHP echo $this->lang->line('language'); ?>:</label>
			<select id="idioma" name="idioma">
				<?PHP
				foreach($idiomas as $leng){					
					if($curso[0]->lang==$leng[0])	echo "<option value=\"".$leng[0]."\" selected=\"selected\">".$leng[1]."</option>";
					else echo "<option value=\"".$leng[0]."\">".$leng[1]."</option>";
				}
				?>					
			</select><br /><br /><br />		
		<div id="botones">
			<input type="submit" id="registrar" value="<?PHP echo $this->lang->line('save'); ?>" />
		</div>	<br />	
	</form><br />	
	<?PHP 
		if($tienefiltro==1){
			?>
			<span class="volverlstf"><a href="<?PHP echo site_url('cursos/enccursos/'.$p);?>" ><?PHP echo $this->lang->line('goback'); ?></a></span>
			<?PHP
		}
		else if($tienefiltro==0){
			?>
			<span class="volverlstg"><a href="<?PHP echo site_url('cursos/listcursos/'.$p);?>" ><?PHP echo $this->lang->line('goback'); ?></a></span>
			<?PHP
		}	 
	 ?>
</p>
