<!DOCTYPE html>
<?php include("rutas_config.php")?>
<html lang="es">
	<head>
		<meta charset="utf-8" />
		<title>Evaluaciones</title>		
		<link rel="stylesheet" href="<?php echo $ruta_estilos ?>main.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $ruta_estilos ?>login.css" type="text/css" />
		<script src="<?php echo $ruta_js ?>jquery-1.4.2.min.js" type="text/javascript" charset="utf-8"></script>
		<script type="text/javascript" charset="utf-8">	
		$(document).ready(function(){	
			var timeSlide = 1000;
			$('#user_name').focus();
			$('#timer').hide(0);
			$('#timer').css('display','none');
			$('#login').click(function(){
									
				$('#timer').fadeIn(300);
				$('.box-success, .box-error').slideUp(timeSlide);
				setTimeout(function(){
					if ( $('#login').val() != "" && $('#password').val() != "" ){
						var cadena = $("#loginform").serialize();
						var urldest="<?php echo base_url();?>index.php/exalin";
						$.ajax({
							type: "POST",							
							url: "<?php echo base_url();?>index.php/principal/check_user",
							data: cadena,
							success:function(msj){
								if ( msj == 1 ){
									$('#alertBoxes').html('<div class="box-success"></div>');
									$('.box-success').hide(0).html('<?php echo $this->lang->line('waitmoment'); ?>');
									$('.box-success').slideDown(timeSlide);
									setTimeout(function(){
										window.location = urldest;
									},(timeSlide + 500));
								}
								else{
									$('#alertBoxes').html('<div class="box-error"></div>');
									$('.box-error').hide(0).html('<?php echo $this->lang->line('acceswrong'); ?>');
									$('.box-error').slideDown(timeSlide);
								}
								$('#timer').fadeOut(300);
							},
							error:function(){
								$('#timer').fadeOut(300);
								$('#alertBoxes').html('<div class="box-error"></div>');
								$('.box-error').hide(0).html('<?php echo $this->lang->line('somethingwrong'); ?>');
								$('.box-error').slideDown(timeSlide);
							}
						});
						
					}
					else{
						$('#alertBoxes').html('<div class="box-error"></div>');
						$('.box-error').hide(0).html('<?php echo $this->lang->line('fieldempty'); ?>');
						$('.box-error').slideDown(timeSlide);
						$('#timer').fadeOut(300);
					}
				},timeSlide);
				
				return false;
				
			});			
			$('#sessionKiller').click(function(){
				var urldest="<?php echo base_url();?>";				
				$('#timer').fadeIn(300);
				$('#alertBoxes').html('<div class="box-success"></div>');
				$('.box-success').hide(0).html('<?php echo $this->lang->line('waitmoment'); ?>');
				$('.box-success').slideDown(timeSlide);
				setTimeout(function(){
					$.ajax({
						type: "POST",
						url: "<?php echo base_url();?>index.php/principal/salir",
						success:function(msj){
							if ( msj == 1 ){								
								setTimeout(function(){
									window.location = urldest;
								},(timeSlide + 500));
							}
						}
					});					
				},timeSlide);
			});
			
		});
		</script>
	</head>
	<body>
		<div id="wrapper">
		<header>
			<div id="logos">
				<img src="<?php echo $ruta_imagenes; ?>logos/logoudb.png" />
				<img src="<?php echo $ruta_imagenes; ?>logos/logoead.png" />
			</div>
			<div id="titulo">
				<h1>Facultad de Ciencias de la Rehabilitaci&oacute;n</h1><br />
				<h2>Evaluaciones en L&iacute;nea</h2>
			</div>				
		</header><!-- fin de header -->	
		<section id="main_ev">
			<section id="formulario">
			<?php
if (isset($_SESSION['usuario'])){?>
	<div class="session_on">
		Ya iniciaste sesi&oacute;n &#124; Ahora has un <a href="javascript:void(0);" id="sessionKiller">logout</a>.<span class="timer" id="timer"  style="margin-left: 10px;"></span>
	</div>
	<?php
}
else{
	?>	
	<form id="loginform" method="post" action="">
					<a href="<?php echo site_url("principal/index/es");?>">Espa&ntilde;ol</a>
			<a href="<?php echo site_url("principal/index/en");?>">English</a><p>&nbsp;</p>

		<div class="camposlogin">
			<label for="user_name"><?php echo $this->lang->line('user'); ?>:</label>
			<input type="text" id="user_name" name="user_name" />
		</div>	
		<div class="camposlogin">	
			<label for="password"><?php echo $this->lang->line('password'); ?>:</label>
			<input type="password" id="password" name="password" /><br><br><br><br>
		</div>
		<div class="botoneslogin">	
			<input type="submit" id="login" value="<?php echo $this->lang->line('login'); ?>" class="boton" />
			<input type="button" id="cancel" value="<?php echo $this->lang->line('cancel'); ?>" class="boton" />
			<span class="timer" id="timer"></span>
			</span><div id="alertBoxes"></div></span>
		</div>	
	</form>	
	<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p>
	<?php
}
			?>
		
		
			</section><!-- fin de formulario-->
		</section><!-- fin de main-->

	<footer>
		Universidad Don Bosco<br />
		Facultad de Ciencias de la Rehabilitac&oacute;n<br />
		Estudios a Distancia en OyP<br />		
	</footer>

	</div><!-- #wrapper -->
</body>
</html>
